package com.gic.haoban.manage.api.qdto.moment;

import com.gic.api.base.commons.BasePageInfo;

import java.util.Date;

public class PlanClerkListQDTO extends BasePageInfo {

    private String wxEnterpriseId ;
    private String enterpriseId ;

    private Long planId ;
    /**
     * 成员名称
     */
    private String staffName ;

    private String staffNameLike ;

    /**
     * 导购条件
     */
    private String clerkParams ;

    private String clerkParamsLike ;

    /**
     *  0已失效 1待完成 2已完成
     */
    private Integer sendStatus ;

    private Date startTime ;

    private Date endTime ;

    /**
     * 排序字段 完成率:exec_rate 点赞：like_count 评论：comment_count
     */
    private String sortColumn ;

    /**
     * desc / asc
     */
    private String sortType ;

    private Integer statusFlag ;

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getStaffNameLike() {
        return staffNameLike;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setStaffNameLike(String staffNameLike) {
        this.staffNameLike = staffNameLike;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getClerkParamsLike() {
        return clerkParamsLike;
    }

    public void setClerkParamsLike(String clerkParamsLike) {
        this.clerkParamsLike = clerkParamsLike;
    }

    public String getSortColumn() {
        return sortColumn;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkParams() {
        return clerkParams;
    }

    public void setClerkParams(String clerkParams) {
        this.clerkParams = clerkParams;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
